<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

    //$date_pedido = $GET['f'];
    $date_pedido = '28/11/20 12:51:35 pm';
    //$date_pedido = str_replace("/", "-", $date_pedido);
    //$time_pedido = date('d-m-Y', strtotime($date_pedido));

    $date_pedido = DateTime::createFromFormat("d/m/y h:i:s a", $date_pedido);

    $dia_pedido = $date_pedido->format("d");
    $mes_pedido = $date_pedido->format("m");
    $anio_pedido = $date_pedido->format("Y");



    echo "Día: ". $dia_pedido ."<br>";
    echo "Mes: ". $mes_pedido ."<br>";
    echo "Año: ". $anio_pedido ."<br>";